#  $Id: skip_step.pm,v 1.2 2006/02/21 10:30:56 jonas Exp $  -*-perl-*-
package Para::Frame::Action::skip_step;
#=====================================================================
#
# DESCRIPTION
#   Paranormal.se skip step in route
#
# AUTHOR
#   Jonas Liljegren   <jonas@paranormal.se>
#
# COPYRIGHT
#   Copyright (C) 2004-2006 Jonas Liljegren.  All Rights Reserved.
#
#   This module is free software; you can redistribute it and/or
#   modify it under the same terms as Perl itself.
#
#=====================================================================

use strict;

sub handler
{
    my( $req ) = @_;

    my $route = $req->s->route;

    $route->skip_step;

    return "ngrar ett steg";
}

1;


=head1 NAME

Para::Frame::Action::skip_step - Skips a step in the route

=cut
